=== debian/changelog ===
juman (7.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated the DH level from 7 to 9.
  * debian/control:
      - Added the variable ${misc:Depends} to juman-dic and libjuman-perl.
      - Bumped the Standard-Version to 3.9.5.
      - Changed libjuman-perl to section perl.
      - Removed the useless variable ${shlibs:Depends} from libjuman-dev.
  * debian/libjuman-dev.install: updated to use multiarch.
  * debian/libjuman4.install: updated to use multiarch.
  * debian/libjuman4.symbols: added symbols for libjuman4.
  * debian/rules: removed the trash and added the DEB_BUILD_MAINT_OPTIONS
      variable to improve the hardening.
  * debian/watch: added to explain about the missing homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 17 Sep 2014 20:51:44 -0300

juman (7.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS when building the architecture-dependent
    binary only. (Closes: #730038)
      - debian/juman-dic.install: created to install the
        juman-dic binary files.
      - debian/rules: removed lines that was moved to
        debian/juman-dic.install.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 05 Mar 2014 00:16:16 -0300

juman (7.0-3) unstable; urgency=low

  * Call dh with "--with autotools_dev" option (closes: #727909).
  * Build depends to autotools-dev.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 30 Oct 2013 22:28:48 +0900

juman (7.0-2) unstable; urgency=low

  * Add libjuman-perl.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Mon, 23 Jan 2012 22:23:49 +0900

juman (7.0-1) unstable; urgency=low

  * New upstream (closes: #656386).

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 20 Jan 2012 12:13:19 +0900

juman (5.1-2.1) unstable; urgency=low

  * NMU
  * Fix fprintf format warning/error. Closes: #643415
  * Add ${misc:Depends} etc. for various binary packages
  * Switch to ${binary:Version}) to allow binNMUs in future
  * Updated Standards-Version

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Thu, 15 Dec 2011 17:45:16 +0000

juman (5.1-2) unstable; urgency=low

  * Fix. (closes: #378301).

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Fri, 25 Aug 2006 01:20:10 +0900

juman (5.1-1) unstable; urgency=low

  * New upstream release (closes: #342525).

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 14 Jan 2006 23:57:03 +0900

juman (4.0-7) unstable; urgency=low

  * debian/rules: Improve documents.
  * Removed the init script to start Juman server. (closes: #240680, #233553)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 03 Apr 2004 23:47:16 +0900

juman (4.0-6) unstable; urgency=low

  * debian/control: Improve documents.
  * debian/control, debian/juman.templates, debian/po/POTFILES.in,
    debian/po/templates.pot: Switch to gettext-based debconf templates.
    (closes: #233553)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Thu, 19 Feb 2004 03:26:21 +0900

juman (4.0-5) unstable; urgency=low

  * debian/control: `libjuman4' package conflicts to `libjuman' package,
    that is an obsolete package.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 11 Feb 2004 11:30:02 +0900

juman (4.0-4) unstable; urgency=low

  * debian/control: `libjuman' package is renamed to `libjuman4'.
  * debian/rules: Now, juman depends on libjuman4. (closes: #226393)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 21 Oct 2003 21:05:08 +0900

juman (4.0-3) unstable; urgency=low

  * Use cdbs instead of dbs.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 21 Oct 2003 21:05:08 +0900

juman (4.0-2) unstable; urgency=low

  * debian/copyright: Fix lintian warning.
  * debian/control, debian/rules, debian/libjuman-dev.files,
    debian/libjuman.files: In order to fix lintian error, split library
    files and header files from `juman' package to `libjuman' package and
    `libjuman-dev' package.
  * debian/README.Debian, debian/control: Fix language bug. (closes: #215761)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Tue, 21 Oct 2003 21:05:08 +0900

juman (4.0-1) unstable; urgency=low

  * Official release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 20 Aug 2003 14:53:54 +0900

juman (4.0-0.3) unstable; urgency=low

  * debian/rules: Move text files of dictionaries.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 16 Aug 2003 19:15:54 +0900

juman (4.0-0.2) unstable; urgency=low

  * debian/juman.postrm: Remove /etc/juman_server_to_be_run when this
    package is purged.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 13 Aug 2003 22:30:55 +0900

juman (4.0-0.1) unstable; urgency=low

  * New upstream release.
  * Repackaging.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Wed, 13 Aug 2003 09:03:35 +0900

juman (3.62+cvs20010528-3) unstable; urgency=low

  * debian/patches/030_client_fflush.diff: Flush file handles always.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sun, 08 Dec 2002 00:53:43 +0900

juman (3.62+cvs20010528-2) unstable; urgency=low

  * debian/patches/002_server_pidfile.diff: New patch to create pid file
    and to change uid and gid for security.
  * debian/juman.init: New script to start Juman server.
  * debian/conffiles: Removed.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 05 Oct 2002 14:28:56 +0900

juman (3.62+cvs20010528-1) unstable; urgency=low

  * Initial Release.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sun, 16 Jun 2002 01:22:22 +0900
