=== debian/control ===
Source: juman
Section: misc
Priority: optional
Maintainer: TSUCHIYA Masatoshi <tsuchiya@namazu.org>
Build-Depends: debhelper (>= 9), quilt, autotools-dev
Standards-Version: 3.9.5

Package: juman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: juman-dic
Description: Japanese morphological analysis system
 Juman is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).

Package: juman-dic
Architecture: all
Depends: ${misc:Depends}
Description: Juman dictionary in text format
 This package provides Juman dictionary written in text format.

Package: libjuman-dev
Section: libdevel
Architecture: any
Depends: libjuman4 (= ${binary:Version}), ${misc:Depends}
Description: Header files of JUMAN
 This package provides header files which are necessary to development
 programs using runtime libraries of Juman, that is a Japanese
 morphological analysis system.

Package: libjuman4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libjuman
Replaces: libjuman
Provides: libjuman
Description: Library of JUMAN
 This package provides runtime libraries of Juman, that is a Japanese
 morphological analysis system.

Package: libjuman-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, juman
Description: Perl binding of JUMAN
 This package provides Perl binding of Juman, that is a Japanese
 morphological analysis system.
