=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifndef PERL
PERL = /usr/bin/perl
endif
PERL_OPTIMIZE = -O2 -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
PERL_OPTIMIZE += -g
endif

%:
	dh $@ --with quilt --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib --datadir=/usr/lib
	cd perl && $(PERL) Makefile.PL INSTALLDIRS=vendor

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C perl OPTIMIZE="$(PERL_OPTIMIZE)" DICDIR=`pwd`/dic

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/lib/juman/doc
	dh_link -pjuman usr/share/doc/juman usr/lib/juman/doc
	for d in dic autodic wikipediadic ; do \
	  for f in $(dicprefix)/$${d}/* ; do \
	    dh_link -pjuman-dic \
		`echo $$f|sed s,debian/juman-dic/,,` \
		`echo $$f|sed s,debian/juman-dic/usr/share/,usr/lib/,` ;\
	  done ;\
	done
	$(MAKE) -C perl install PREFIX=`pwd`/debian/libjuman-perl/usr DICDIR=`pwd`/dic

override_dh_auto_clean:
	dh_auto_clean
	-$(MAKE) -C perl realclean
	-rm -f dic/*.int dic/jumandic.* dic/JUMAN.connect
	-rm -f autodic/*.int autodic/jumandic.*
	-rm -f wikipediadic/*.int wikipediadic/jumandic.* 

# Do no tests.
override_dh_auto_test:
